AWS IoT Device SDK C++ v2: Aws::Greengrass::DefaultConnectionConfig Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Greengrass::DefaultConnectionConfig Class Reference

`#include <GreengrassCoreIpcClient.h>`

Inheritance diagram for Aws::Greengrass::DefaultConnectionConfig:

## Public Member Functions
| DefaultConnectionConfig () noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::ConnectionConfig
| ConnectionConfig () noexcept
Crt::Optional< Crt::String > | GetHostName () const noexcept
Crt::Optional< uint16_t > | GetPort () const noexcept
Crt::Optional< Crt::Io::SocketOptions > | GetSocketOptions () const noexcept
Crt::Optional< MessageAmendment > | GetConnectAmendment () const noexcept
Crt::Optional< Crt::Io::TlsConnectionOptions > | GetTlsConnectionOptions () const noexcept
Crt::Io::ClientBootstrap * | GetClientBootstrap () const noexcept
OnMessageFlushCallback | GetConnectRequestCallback () const noexcept
ConnectMessageAmender | GetConnectMessageAmender () const noexcept
void | SetHostName (Crt::String hostName) noexcept
void | SetPort (uint16_t port) noexcept
void | SetSocketOptions (const Crt::Io::SocketOptions &socketOptions) noexcept
void | SetConnectAmendment (const MessageAmendment &connectAmendment) noexcept
void | SetTlsConnectionOptions (Crt::Io::TlsConnectionOptions tlsConnectionOptions) noexcept
void | SetClientBootstrap (Crt::Io::ClientBootstrap *clientBootstrap) noexcept
void | SetConnectRequestCallback (OnMessageFlushCallback connectRequestCallback) noexcept

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::ConnectionConfig
Crt::Optional< Crt::String > | m_hostName
Crt::Optional< uint16_t > | m_port
Crt::Optional< Crt::Io::SocketOptions > | m_socketOptions
Crt::Optional< Crt::Io::TlsConnectionOptions > | m_tlsConnectionOptions
Crt::Io::ClientBootstrap * | m_clientBootstrap
MessageAmendment | m_connectAmendment
OnMessageFlushCallback | m_connectRequestCallback

## Constructor & Destructor Documentation

## ◆ DefaultConnectionConfig()

Aws::Greengrass::DefaultConnectionConfig::DefaultConnectionConfig | ( |  | ) |
| noexcept

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcClient.h
- greengrass_ipc/source/DefaultConnectionConfig.cpp